## net.i2p.router.transport.udp
Class IntroductionManager

    java.lang.Object
      net.i2p.router.transport.udp.IntroductionManager

    public class IntroductionManager

extends java.lang.Object

Constructor Summary
`IntroductionManager(RouterContext ctx, UDPTransport transport)`

Method Summary
`void` `add(PeerState peer)`
`PeerState` `get(long id)`
`int` `pickInbound(java.util.Properties ssuOptions, int howMany)` Grab a bunch of peers who are willing to be introducers for us that are locally known (duh) and have published their own SSU address (duh^2).
`void` `receiveRelayIntro(RemoteHostId bob, UDPPacketReader reader)`
`void` `receiveRelayRequest(RemoteHostId alice, UDPPacketReader reader)`
`void` `remove(PeerState peer)`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntroductionManager

    public IntroductionManager(RouterContext ctx,
                               UDPTransport transport)

Method Detail

### reset

    public void reset()

### add

    public void add(PeerState peer)

### remove

    public void remove(PeerState peer)

### get

    public PeerState get(long id)

### pickInbound

    public int pickInbound(java.util.Properties ssuOptions,
                           int howMany)

  Grab a bunch of peers who are willing to be introducers for us that are locally known (duh) and have published their own SSU address (duh^2). The picked peers have their info tacked on to the ssuOptions parameter for use in the SSU RouterAddress.

### receiveRelayIntro

    public void receiveRelayIntro(RemoteHostId bob,
                                  UDPPacketReader reader)

### receiveRelayRequest

    public void receiveRelayRequest(RemoteHostId alice,
                                    UDPPacketReader reader)